Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

Want to change all the existing dimensions to specific layer.

Manicbala
Enthusiast

Want to change all the existing dimensions to specific layer.

Manicbala
Enthusiast
Enthusiast

Hi,

 

I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).

 

Please advise any shortcuts/lisp to change at one time. 

 

Thanks,

Thanks
Bala
0 Likes
Reply
Accepted solutions (1)
1,928 Views
6 Replies
Replies (6)

imadHabash
Mentor
Mentor

Hi,

since we need more details ... but let's start with :

  • LAYISO command to isolate selected and different type of dimensions . LAYON to turn all layers back . 
  • QSELECT command , and by preparing proper values .
  • SELECTSIMILAR command will also help .
  • also you can set a certain layer just for dimensions by DIMLAYER system variable . >> Click <<

Regards,

 

Imad Habash

EESignature

Manicbala
Enthusiast
Enthusiast

 

There are lots of dimensions with different layers in the drawing, I want to select all the dimensions and change it to specific layer. If any lisp for this issue will be helpful. 

DIMlayer command not in Autocad 2015.

 

Thanks,

Thanks
Bala
0 Likes

imadHabash
Mentor
Mentor

Ok ... then FILTER command may the better way . 

 

 FILTER >> Select Filter: Dimension >> Add to List >> Apply ..... select the whole existing elements to filter out only the dimensions .

Imad Habash

EESignature

neaton
Advisor
Advisor

Here is a quick script file that will do what you want. Change "0" to your layer name. There are 2 returns at the end to accept then close out the change command.

     (ssget "x" (list (cons 0 "DIM*")))
     change p  properties layer "0"

 

I also found this >>LISP routine<< that does the same thing.

Nancy

BeKirra
Advisor
Advisor
Accepted solution

@Manicbalawrote:

Hi,

I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).

Please advise any shortcuts/lisp to change at one time. 

Thanks,


 

The code below may help straightforwardly while other offers here also work.

SD is the command you need to enter since your target dimension layer is "DIMS".

(defun c:SD (/ SelectDim)
(setq SelectDim (ssget "X" '((0 . "DIMENSION"))))
(command "._Chprop" SelectDim "" "Layer" "DIMS" "")
(princ)
); end of defun

 

HTH

Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²
0 Likes

Manicbala
Enthusiast
Enthusiast

Thank you so much.

Thanks
Bala
0 Likes